import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
export const SoundCloud = (props) => {
    const props_ = mergeProps({
        width: '100%',
        height: 'auto',
        autoPlay: false,
        visual: false,
        color: '23ff00f5',
    }, props);
    return (<GeneralObserver>
      <iframe title={`sound-cloud-${props_.soundCloudLink}`} class="soundcloud" width={props_.width} height={props_.height} allow="autoplay" src={`//w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/${props_.soundCloudLink}&color=%23${props_.color}&auto_play=${props_.autoPlay.toString()}&visual=${props_.visual.toString()}`}/>
    </GeneralObserver>);
};
