import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handleTwttrLoad } from './utilities';
export const TwitterTimeline = (props) => {
    const props_ = mergeProps({
        theme: 'light',
        width: '498px',
    }, props);
    return (<GeneralObserver onEnter={handleTwttrLoad}>
      <div class="twitter-solid-social" style={{ overflow: 'auto' }}>
        <a class="twitter-timeline" data-theme={props_.theme} data-width={props_.width} data-height={props_.height} href={`//twitter.com/${props_.username}${props_.showLikes ? `/likes` : ''}?ref_src=twsrc%5Etfw`}>
          {`Tweets by @${props_.username}`}
        </a>
      </div>
    </GeneralObserver>);
};
