import type { Component } from 'solid-js';
export declare type SnackProps = {
    /** The usename and snack id */
    snackId: string;
    /** Platform */
    platform?: 'web' | 'android' | 'ios' | 'mydevice';
    /** The snack theme */
    theme?: 'light' | 'dark';
};
export declare const Snack: Component<SnackProps>;
