import type { Component } from 'solid-js';
export declare type TwitterTimelineProps = {
    /** Twitter username */
    username: string;
    /** Show Tweets liked by the username */
    showLikes?: boolean;
    /** Color theme of the Timeline */
    theme?: 'light' | 'dark';
    /** Width for the iFrame */
    width?: number | string;
    /** Height for the iFrame. Null is full height */
    height?: number | string;
};
export declare const TwitterTimeline: Component<TwitterTimelineProps>;
