import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
export const Spotify = (props) => {
    const props_ = mergeProps({
        width: 320,
        height: 380,
    }, props);
    return (<GeneralObserver>
      <iframe title={`spotify-${props_.spotifyLink}`} class="spotify" src={`//open.spotify.com/embed/${props.spotifyLink}`} width={props_.width} height={props_.height} allow="encrypted-media"/>
    </GeneralObserver>);
};
