import type { ParentComponent } from 'solid-js';
export declare type GeneralObserverProps = {
    /** Fires when IntersectionObserver enters viewport */
    onEnter?: (id?: string) => void;
    /** The height of the placeholder div before the component renders in */
    height?: number;
};
export declare type HTMLEventName = keyof HTMLElementEventMap;
export declare const GeneralObserver: ParentComponent<GeneralObserverProps>;
